import { OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { StiComboBoxColumnItem } from "../../../elements/table/columns/StiComboBoxColumnItem";
import * as i0 from "@angular/core";
export declare class StiTableComboboxComponent implements OnInit {
    private model;
    item: StiComboBoxColumnItem;
    index: number;
    object: any;
    disabled: boolean;
    isClone: boolean;
    get cell(): import("../../../elements/table/cells/StiComboBoxCellItem").StiComboBoxCellItem;
    get selectedIndex(): string;
    set selectedIndex(value: string);
    constructor(model: StiModelService);
    get tabIndex(): any;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTableComboboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTableComboboxComponent, "sti-table-combobox-component", never, { "item": { "alias": "item"; "required": false; }; "index": { "alias": "index"; "required": false; }; "object": { "alias": "object"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
